[arch-commits] Commit in libxxf86vm/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 15:27:41 EDT 2008


    Date: Sunday, July 6, 2008 @ 15:27:41
  Author: jgc
Revision: 4365

upgpkg: libxxf86vm 1.0.2-1

Modified:
  libxxf86vm/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 19:23:47 UTC (rev 4364)
+++ PKGBUILD	2008-07-06 19:27:41 UTC (rev 4365)
@@ -2,21 +2,23 @@
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libxxf86vm
-pkgver=1.0.1
+pkgver=1.0.2
 pkgrel=1
 pkgdesc="X11 XFree86 video mode extension library"
+arch=('x86_64' 'i686')
+license=('custom')
 url="http://xorg.freedesktop.org/"
-depends=(libxext xf86vidmodeproto)
-makedepends=(pkgconfig)
-options=(NOLIBTOOL)
+depends=('libxext' 'xf86vidmodeproto')
+makedepends=('pkgconfig')
+options=('!libtool')
 source=(${url}/releases/individual/lib/libXxf86vm-${pkgver}.tar.bz2)
-md5sums=(8de1ca6c55aaad7d8cae19b4f0b3da32)
+md5sums=('304d37bd0a10d9b58aa9b64469ad73e5')
 
 build() {
   cd ${startdir}/src/libXxf86vm-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-





More information about the arch-commits mailing list